org.fourthline.cling.model.message.header

## Class UDAServiceTypeHeader

- java.lang.Object
- - org.fourthline.cling.model.message.header.UpnpHeader<ServiceType>
  - - org.fourthline.cling.model.message.header.ServiceTypeHeader
    - - org.fourthline.cling.model.message.header.UDAServiceTypeHeader

-     public class UDAServiceTypeHeader
      extends ServiceTypeHeader

  Author:
    Christian Bauer

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.fourthline.cling.model.message.header.UpnpHeader

      `UpnpHeader.Type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UDAServiceTypeHeader()`
    `UDAServiceTypeHeader(UDAServiceType value)`
    `UDAServiceTypeHeader(URI uri)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setString(String s)`

    - ### Methods inherited from class org.fourthline.cling.model.message.header.ServiceTypeHeader

      `getString`

    - ### Methods inherited from class org.fourthline.cling.model.message.header.UpnpHeader

      `getValue, newInstance, setValue, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UDAServiceTypeHeader

          public UDAServiceTypeHeader()

    - #### UDAServiceTypeHeader

          public UDAServiceTypeHeader(URI uri)

    - #### UDAServiceTypeHeader

          public UDAServiceTypeHeader(UDAServiceType value)

  - ### Method Detail

    - #### setString

          public void setString(String s)
                         throws InvalidHeaderException

      Overrides:
        `setString` in class `ServiceTypeHeader`
      Parameters:
        `s` - This header's value as a string representation.
      Throws:
        `InvalidHeaderException` - If the value is invalid for this UPnP header.

Copyright © 2014 4th Line GmbH, Switzerland. All Rights Reserved.